Bug 969212 - Review Request: x2goclient - Graphical client for use with the X2Go network based computing environment
Review Request: x2goclient - Graphical client for use with the X2Go network b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
: 550277 (view as bug list)
Depends On: 969209 1004951
Blocks: 998551
  Show dependency treegraph
 
Reported: 2013-05-30 18:06 EDT by Orion Poplawski
Modified: 2013-10-19 17:12 EDT (History)
6 users (show)

See Also:
Fixed In Version: x2goclient-4.0.1.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 19:49:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-05-30 18:06:38 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/nx/x2goclient.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/nx/x2goclient-4.0.1.0-3.fc18.src.rpm
Description: 
This client will be able to connect to X2Go server(s) and start, stop, resume
and terminate (running) desktop sessions. X2Go Client stores different server
connections and may automatically request authentication data from LDAP
directories.

Fedora Account System Username: orion
Comment 1 Orion Poplawski 2013-05-30 18:07:28 EDT
*** Bug 550277 has been marked as a duplicate of this bug. ***
Comment 2 Alec Leamas 2013-08-30 01:40:06 EDT
Just a drive-by comment: the iconcache scriptlets and desktop-file-validate are missing, just as for pyhoca-gui.
Comment 3 Alec Leamas 2013-08-30 08:18:34 EDT
Here are build errors on rawhide:

Traceback (most recent call last):
  File "setup.py", line 37, in <module>
    from setuptools import setup, find_packages
ImportError: No module named setuptools

Missing BR:...

Also, the qtbrowserplugin contains seems to contain BSD-licensed code. Unless not shipped, this affects the license.
Comment 4 Gwyn Ciesla 2013-08-30 10:26:17 EDT
Built, installed, runs, but connection failed, "x2golistsessions: command not found"
Comment 5 Alec Leamas 2013-08-30 11:12:36 EDT
Built it ok on F18, I guess Jon built on F19. My errors was from a F20/rawhide build in mock
Comment 6 Orion Poplawski 2013-08-30 11:36:06 EDT
(In reply to Alec Leamas from comment #3)
> Here are build errors on rawhide:
> 
> Traceback (most recent call last):
>   File "setup.py", line 37, in <module>
>     from setuptools import setup, find_packages
> ImportError: No module named setuptools
> 
> Missing BR:...

I think you have the wrong package - no setup.py here...

> Also, the qtbrowserplugin contains seems to contain BSD-licensed code.
> Unless not shipped, this affects the license.

Nope:

https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/FAQ#How_should_I_handle_multiple_licensing_situations.3F

but I do need to file for a bundling exception.
Comment 7 Orion Poplawski 2013-08-30 12:50:28 EDT
(In reply to Jon Ciesla from comment #4)
> Built, installed, runs, but connection failed, "x2golistsessions: command
> not found"

Are you connecting to an x2goserver instance?  It's not expected to be able to connect to a regular nx server.
Comment 8 Gwyn Ciesla 2013-08-30 12:55:59 EDT
Ah, no, I was attempting a connection to a freenx server.
Comment 9 Orion Poplawski 2013-08-30 12:59:19 EDT
I've filed https://fedorahosted.org/fpc/ticket/343 to make it official, but I have found any way to provide qtbrowserplugin as a separate library yet so I think it needs to remain "bundled".

http://www.cora.nwra.com/~orion/fedora/nx/x2goclient.spec
http://www.cora.nwra.com/~orion/fedora/nx/x2goclient-4.0.1.0-4.fc18.src.rpm

* Fri Aug 30 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.0-4
- Add BR desktop-file-utils and validate desktop file
- Add gtk-update-icon-cache scriptlets
Comment 10 Gwyn Ciesla 2013-08-30 13:20:05 EDT
I think you meant

http://www.cora.nwra.com/~orion/fedora/nx/x2goclient-4.0.1.0-4.fc19.src.rpm

Looking at that now.
Comment 11 Gwyn Ciesla 2013-08-30 13:33:45 EDT
- rpmlint checks return:

Clean.  What is this black magic?

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2+ correct as stated above) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

So once the bundling exception is resolved, you're good to go.
Comment 12 Orion Poplawski 2013-09-05 16:19:26 EDT
http://www.cora.nwra.com/~orion/fedora/nx/x2goclient.spec
http://www.cora.nwra.com/~orion/fedora/nx/x2goclient-4.0.1.0-5.fc19.src.rpm

* Thu Sep 5 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.0-5
- Build against system qtbrowserplugin
Comment 13 Gwyn Ciesla 2013-09-06 09:11:03 EDT
Builds and runs with qtbrowserplugin review version.

APPROVED.
Comment 14 Orion Poplawski 2013-09-06 11:14:55 EDT
Thanks!

New Package SCM Request
=======================
Package Name: x2goclient
Short Description: Graphical client for use with the X2Go network based computing environment
Owners: orion
Branches: f20 f19 f18 el6
InitialCC:
Comment 15 Gwyn Ciesla 2013-09-06 11:20:36 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2013-09-06 13:10:51 EDT
x2goclient-4.0.1.0-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/x2goclient-4.0.1.0-5.fc20
Comment 17 Fedora Update System 2013-09-07 13:04:54 EDT
x2goclient-4.0.1.0-5.fc20 has been pushed to the Fedora 20 testing repository.
Comment 18 Fedora Update System 2013-09-12 12:31:01 EDT
x2goclient-4.0.1.1-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 19 Fedora Update System 2013-09-22 19:49:59 EDT
x2goclient-4.0.1.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.